/*
 * @(#) RemoteSynchro.java 
 *
 * JOTM: Java Open Transaction Manager 
 *
 * This project is developed inside the ObjectWeb Consortium,
 * http://www.objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: RemoteSynchro.java,v 1.2 2002/09/18 07:48:30 riviereg Exp $
 * --------------------------------------------------------------------------
 */


// This interface is not called "Synchronization" to avoid conflicts
// with javax.transaction.Synchronization

package org.objectweb.jonas_tm;

import java.rmi.Remote;
import java.rmi.RemoteException;


public interface RemoteSynchro extends Remote {
    public void before_completion(Control ctrl) throws RemoteException;
    public void after_completion(Control ctrl, int s) throws RemoteException;
}
